# Reference
<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

**Classes**

* [`piweatherrock`](#piweatherrock): Installs and configures PiWeatherRock
* [`piweatherrock::config`](#piweatherrockconfig): Handles the configuration steps for PiWeatherRock
* [`piweatherrock::install`](#piweatherrockinstall): Handles the installation steps for PiWeatherRock
* [`piweatherrock::service`](#piweatherrockservice): Manages services associated with PiWeatherRock

**Tasks**

* [`migrate_from_git`](#migrate_from_git): Migrate from the git version of PiWeatherRock
* [`pisetup`](#pisetup): Do the initial setup of PiWeatherRock on a Raspberry Pi

## Classes

### piweatherrock

Installs and configures PiWeatherRock

#### Examples

##### Defaults

```puppet
include piweatherrock
```

##### Use an alternate config file

```puppet
class { 'piweatherrock':
  config_file => '/home/pi/piweatherrock.json',
}
```

#### Parameters

The following parameters are available in the `piweatherrock` class.

##### `enable_awesome_desktop`

Data type: `Boolean`

If using Raspbian Lite you may want to enable this so that you have a lite
weight desktop and terminal

Default value: `false`

##### `config_file`

Data type: `Stdlib::Unixpath`

The path to the config file for PiWeatherRock

Default value: '/home/pi/piweatherrock-config.json'

##### `sample_config_file`

Data type: `Stdlib::Unixpath`

The path to the sample config file that is bundled with PiWeatherRock

Default value: '/usr/local/lib/python3.7/dist-packages/piweatherrock/config.json-sample'

##### `piweatherrock_version`

Data type: `String[1]`

The version of piweatherrock to install from PyPI

Default value: 'latest'

##### `user`

Data type: `String[1]`

The user who PiWeatherRock will run as

Default value: 'pi'

##### `group`

Data type: `String[1]`

The group of the user who PiWeatherRock will run as.

Default value: 'pi'

### piweatherrock::config

Handles the configuration steps for PiWeatherRock

### piweatherrock::install

Handles the installation steps for PiWeatherRock

### piweatherrock::service

Manages services associated with PiWeatherRock

## Tasks

### migrate_from_git

Migrate from the git version of PiWeatherRock

**Supports noop?** false

### pisetup

Do the initial setup of PiWeatherRock on a Raspberry Pi

**Supports noop?** false

#### Parameters

##### `name`

Data type: `String[1]`

The name you wish your Pi to have

##### `timezone`

Data type: `String[3]`

The time zone you want your Pi to use

##### `awesomewm`

Data type: `Boolean`

Install awesome window manager

